[Buildroot] [PATCHv5 2/2] wireshark: new package

Stefan Fröberg stefan.froberg at petroprogram.com
Fri Feb 15 20:34:34 UTC 2013


[snip]
>>>> BTW, Baruch did you manage to compile this version of wireshark against
>>>> that gnutls 3 ?
>>> Nope. I only tried OpenSSL which I already have on my target.
>> Your .mk file needs --with-gnutls=no added to it's configuration in case
>> both OpenSSL and gnutls are installed.
>> And maybe later a submenu of choice what SSL (if any) implementation to
>> use for decrypting.
> Ok. I'll fix that in my next patch iteration.
>
>> I will try later this evening how far I get this time with compiling it.
> Keep me posted.
>
> Thanks,
> baruch

After inspecting the following
http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/net-analyzer/wireshark/wireshark-1.8.5.ebuild?view=markup
http://www.linuxfromscratch.org/blfs/view/svn/basicnet/wireshark.html

and most importantly,

http://wiki.wireshark.org/SSL

I found out that wireshark uses OpenSSL indirectly only when using
kerberos (which buildroot does not currently have), only if the
said kerberos has ssl support compiled in ("krb5-config --libs" spits'
out -lcrypto) and only if you pass --with-ssl to wireshark config.

For decrypting SSL streams the wireshark will use only, and *only*,
GnuTLS and libgcrypt.

So if you want to include SSL decrypting support by default then you should:

1 )   try that gentoo wireshark patch that adds support for compiling
against gnutls v3
http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/net-analyzer/wireshark/files/wireshark-1.8.3-gnutls3.patch?revision=1.1

2) Add --with-gnutls=yes to WIRESHARK_CONF_OPT

3)  Add gnutls to wireshark dependencies.

 Also, when compiling against uClibc I had to add LIBS="-ldl" to
WIRESHARK_CONF_ENV as a workaround to finish compiling.
Ofcourse the prober fix for this would be a patch to configure.ac that
would check if libdl exists and then add it to LIBS


Regards
Stefan









More information about the buildroot mailing list